Package com.io7m.idstore.model

# Enum Class IdUserColumn

java.lang.Object
java.lang.Enum<IdUserColumn>
com.io7m.idstore.model.IdUserColumn

All Implemented Interfaces:
  `Serializable`, `Comparable<IdUserColumn>`, `Constable`

public enum IdUserColumn extends Enum<IdUserColumn>
The user columns that can be used for ordering.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BY_ID`
  Order by user ID.
  `BY_IDNAME`
  Order by user id name.
  `BY_REALNAME`
  Order by user realname.
  `BY_TIME_CREATED`
  Order by user creation time.
  `BY_TIME_UPDATED`
  Order by user update time.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static IdUserColumn`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static IdUserColumn[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### BY_ID

    public static final IdUserColumn BY_ID
    Order by user ID.

  - ### BY_IDNAME

    public static final IdUserColumn BY_IDNAME
    Order by user id name.

  - ### BY_REALNAME

    public static final IdUserColumn BY_REALNAME
    Order by user realname.

  - ### BY_TIME_CREATED

    public static final IdUserColumn BY_TIME_CREATED
    Order by user creation time.

  - ### BY_TIME_UPDATED

    public static final IdUserColumn BY_TIME_UPDATED
    Order by user update time.

- ## Method Details

  - ### values

    public static IdUserColumn[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static IdUserColumn valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null